package com.sifang.modules.smallprogram;


import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

public class InstallReq {

    @NotNull(message = "账号id不能为空")
    private String userId;

    @Valid
    @NotEmpty(message = "物料信息不能为空")
    private List<AddMaterialSnReq> snList;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public List<AddMaterialSnReq> getSnList() {
        return snList;
    }

    public void setSnList(List<AddMaterialSnReq> snList) {
        this.snList = snList;
    }
}
